package jp.gihyo.rest.clock.util;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;
import java.util.TimeZone;

public class TimeZoneRepository {
    static List<String> ids = new ArrayList<String>();
    static {
        String[] idArray = TimeZone.getAvailableIDs();
        ids.addAll(Arrays.asList(idArray));
    }

    public static TimeZone find(String timeZoneId) {
        if (contains(timeZoneId)) {
            return TimeZone.getTimeZone(timeZoneId);
        } else {
            return null;
        }
    }

    public static List<String> listIds() {
        return Collections.unmodifiableList(ids);
    }

    public static boolean contains(String id) {
        return ids.contains(id);
    }

    public static boolean register(String customId) {
        if (customId == null) {
            return false;
        }
        if (contains(customId)) {
            return false;
        }
        TimeZone customTz = TimeZone.getTimeZone(customId);
        if ("GMT".equals(customTz.getID())) {
            return false;
        } else {
            ids.add(customId);
            return true;
        }
    }
}
