package jp.gihyo.rest.clock.util;

import static org.hamcrest.core.Is.is;
import static org.hamcrest.core.IsNull.nullValue;
import static org.junit.Assert.assertThat;

import java.util.TimeZone;
import org.junit.Test;


public class TimeZoneRepositoryTest {
    @Test
    public void 存在しないTimeZoneIdが渡されたときはnullを返す() throws Exception {
        TimeZone tz = TimeZoneRepository.find("foo/bar");
        assertThat(tz, is(nullValue()));
    }

    @Test
    public void 既存のtimeZoneの場合registerはfalseを返す() throws Exception {
        boolean result = TimeZoneRepository.register("Asia/Tokyo");
        assertThat(result, is(false));
    }

    @Test
    public void nullがregisterされたときはfalseを返す() throws Exception {
        boolean result = TimeZoneRepository.register(null);
        assertThat(result, is(false));
    }
}
